Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
public
Get a single public repository.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/public
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/public"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currencyCode": "<string>",
  "kycRequired": true,
  "totalFindings": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "url": "<string>",
  "company": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "handle": "<string>",
    "logo": "<string>",
    "website": "<string>",
    "github": "<string>",
    "twitter": "<string>"
  },
  "timeframe": {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
  },
  "totalRewardPot": "<string>",
  "submissionFee": "<string>",
  "assetGroups": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "outOfScope": true,
      "rewards": [
        {
          "minReward": "<string>",
          "maxReward": "<string>"
        }
      ],
      "assets": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "description": "<string>",
          "reference": "<string>"
        }
      ],
      "subGroups": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "assets": [
            {
              "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
              "name": "<string>",
              "description": "<string>",
              "reference": "<string>"
            }
          ],
          "description": "<string>"
        }
      ]
    }
  ],
  "safeHarbor": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "reward": "<string>",
    "returnAddresses": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "address": "<string>"
      }
    ],
    "assets": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>"
      }
    ],
    "cap": "<string>"
  },
  "instructions": "<string>",
  "requiredCtfAddress": "<string>",
  "reward": "<string>",
  "rank": 123,
  "rankTotal": 123,
  "allowedSeverities": []
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required

Response

Public repository

Public version of a [Repository].

id
string<uuid>
required
status
enum<string>
required

Status of a repository.

Available options:
draft,
upcoming,
live,
judging,
escalations,
escalations_ended,
complete,
published
currencyCode
string
required
kycRequired
boolean
required
totalFindings
integer<int32>
required
createdAt
string<date-time>
required
kind
enum<string>
required
Available options:
scoping,
collaborative_review,
private_contest,
public_contest,
private_bounty,
public_bounty
name
string | null

Null if the information is redacted.

url
string | null

Null if the information is redacted.

company
null | object

Null if the information is redacted.

timeframe
null | object

Represent a range where the start is always set but the end is optional.

totalRewardPot
string | null
submissionFee
string | null
assetGroups
object[]

Groups of assets.

safeHarbor
null | object
instructions
string | null

Null if the information is redacted.

requiredCtfAddress
string | null
reward
string | null

Auditor reward.

rank
integer<int32> | null

Position in the repository leaderboard.

rankTotal
integer<int32> | null

Total positions in the repository leaderboard.

joined
null | enum<string>
Available options:
joined,
open,
restricted
allowedSeverities
enum<string>[] | null

Severity of a [Finding].

Available options:
critical,
high,
medium,
low,
informational,
gas_optimization